> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SCA Issue

> Retrieve details for a specific Software Composition Analysis (SCA) issue, including dependency reachability information.



## OpenAPI

````yaml /api-reference/openapi.json get /issues/sca/{issue_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /issues/sca/{issue_id}:
    get:
      tags:
        - Issues
        - SCA
      summary: Get SCA Issue
      description: >-
        Retrieve details for a specific Software Composition Analysis (SCA)
        issue, including dependency reachability information.
      operationId: getScaIssue
      parameters:
        - name: issue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the SCA issue
      responses:
        '200':
          description: SCA issue details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  issue:
                    $ref: '#/components/schemas/SCAIssueDetail'
        '404':
          description: SCA issue not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: SCA issue not found
components:
  schemas:
    SCAIssueDetail:
      allOf:
        - $ref: '#/components/schemas/SCAIssue'
        - type: object
          properties:
            cvss_score:
              type: number
              nullable: true
            status:
              type: string
              enum:
                - open
                - fixed
                - false_positive
                - accepted_risk
                - duplicate
            reachability:
              allOf:
                - $ref: '#/components/schemas/SCAReachability'
                - type: object
                  properties:
                    usages:
                      type: array
                      items:
                        $ref: '#/components/schemas/SCAIssueUsage'
    SCAIssue:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        description:
          type: string
        details:
          type: string
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
        cve:
          type: string
          description: CVE identifier if available
        package:
          type: object
          properties:
            name:
              type: string
            version:
              type: string
            ecosystem:
              type: string
            fix_version:
              type: string
              description: Version that fixes the vulnerability
        location:
          type: object
          properties:
            path:
              type: string
              description: Path to the file containing the vulnerable package
        reachability:
          $ref: '#/components/schemas/SCAReachability'
    SCAReachability:
      type: object
      properties:
        status:
          type: string
          enum:
            - not_direct_dependency
            - pending
            - vulnerable_usage_reachable
            - vulnerable_usage_unreachable
            - dead_dependency
        description:
          type: string
    SCAIssueUsage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        filename:
          type: string
        code_line:
          type: string
          nullable: true
        is_function_reachable:
          type: string
          nullable: true
          enum:
            - 'true'
            - 'false'
            - unsure
        reasoning:
          type: string
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````